GET
/api/v1/kubernetes/plans
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/plans?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/kubernetes/plans", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/kubernetes/plans");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the compute plans (SKUs) available for the cluster’s master node in the region, with each plan’s specs (vCPU, RAM, disk), hourly/monthly pricing, supported Kubernetes version, and the committed-pricing (reserved) options. Use a plan’s specs.id as sku_id and its plan string as slug_name when creating a cluster.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region whose plans and pricing should be returned.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
object
data
Available master node plans.
Array<object>
object
name
string
plan
string
location
string
specs
object
id
SKU ID - use as sku_id on create.
string
sku_name
string
ram
string
cpu
integer
disk_space
integer
price_per_month
number
price_per_hour
number
series
string
committed_sku
Committed (reserved) pricing options for this plan.
Array<object>
object
committed_sku_id
integer
committed_sku_name
string
committed_sku_price
number
committed_days
integer
family
string
currency
string
k8s_version
string
errors
object
message
string
Example
{ "code": 200, "data": { "data": [ { "name": "E2E-K8s-Cluster", "plan": "C3-4vCPU-8RAM-100DISK-3rdGen-K8s1_32-master-metal-lb-Delhi", "location": "Delhi", "specs": { "id": "1178", "sku_name": "E2E-K8s-Cluster", "ram": "8.00", "cpu": 4, "disk_space": 100, "price_per_month": 2263, "price_per_hour": 3.1, "series": "C3", "committed_sku": [ { "committed_sku_id": 9197, "committed_sku_name": "365 Days Committed , Rs. 21725.0", "committed_sku_price": 21725, "committed_days": 365 } ], "family": "CPU Intensive 3rd Generation" }, "currency": "INR", "k8s_version": "1.32" } ] }, "message": "Success"}